import {httpApi} from "../../request/httpApi";

export default {
    //档案统计-已组案卷
    async getallArchiveByContractType(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archivesauto/allArchiveByContractType',
            method: 'get',
            params: form,
        
        }, msg);
    },
    //获取档案年限占比 
    async getallArchiveAge(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archivesauto/allArchiveAgeByContractType',
            method: 'get',
            params: form,
        
        }, msg);
    },
    //获取已销毁案卷
    async getallArchiveDestory(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archivesauto/allDeletedArchiveByContractType',
            method: 'get',
            params: form,
        
        }, msg);
    },
    //获取原生文件数量getallnativeChartData
    async getallnativeChartData(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/allArchiveFileByContractType',
            method: 'get',
            params: form,
        
        }, msg);
    },
    //获取总存储getallArchiveSize
    async getallArchiveSize(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/allArchiveFileSize',
            method: 'get',
            params: form,
        
        }, msg);
    },
    //获取归档目录文件夹
    async getArchiveTreeAndArchiveCount(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/archiveTreeContract/getArchiveTreeAndArchiveCount',
            method: 'get',
            params: form,
        
        }, msg);
    },
}

